<?php
/**********************************************\
| SMFSHOP (Shop MOD for Simple Machines Forum) |
|         (c) 2005 DanSoft Australia           |
|      http://www.dansoftaustralia.com/        |
\**********************************************/

//File: Shop.template.php
//      Template file for Shop

//VERSION: 1.1 (Build 4)
//DATE: 11th April 2005

function template_main(){
    global $txt, $context, $modSettings, $scripturl;
    echo '<table width="100%" cellpadding="3" cellspacing="0"><tr><td valign="bottom">', theme_linktree(), '</td></tr></table>';

    echo <<<EOT
		<table width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-top: 1ex;"><tr>
			<td width="180" valign="top" style="width: 26ex; padding-right: 10px; padding-bottom: 10px;">
				<table width="100%" cellpadding="4" cellspacing="1" border="0" class="bordercolor">
					<tr>
						<td class="catbg">{$txt['shop']} Stuff</td>
					</tr>
					<tr class="windowbg2">
						<td class="smalltext" style="line-height: 1.3; padding-bottom: 3ex;">
                            <a href="$scripturl?action=shop">{$txt['shop']} Home</a><br>
							<a href="$scripturl?action=shop;do=buy">{$txt['shop_buy']}</a><br>
							<a href="$scripturl?action=shop;do=inv">{$txt['shop_yourinv']}</a><br>
							<a href="$scripturl?action=shop;do=sendmoney">{$txt['shop_send_money']}</a><br>
							<a href="$scripturl?action=shop;do=invother">{$txt['shop_invother']}</a><br>
                            {$context['shop_bank_link']}
                            More Coming Soon!<br>
						</td>
					</tr>
				</table>
			</td>
			<td valign="top">
EOT;

    if ($context['shop_do'] == 0) { //shop home
        echo <<<EOT
		        <table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
			        <tr class="titlebg">
				        <td align="center" colspan="2" class="largetext">{$txt['shop']}</td>
			        </tr><tr>
				        <td class="windowbg" valign="top" style="padding: 7px;">
					        <b>{$txt['shop_welcome']}</b>
					        <div style="font-size: 0.85em; padding-top: 1ex;">{$txt['shop_welcome_full']}
                            <br><br>
                            <b>{$txt['shop_per_new_topic']}: </b> {$context['shop_newtopic']}<br>
                            <b>{$txt['shop_per_new_post']}: </b>{$context['shop_newpost']}<br>
                            {$context['shop_bank_info']}
                            <br>
                            <b>{$txt['shop_money_in_pocket']}: </b>{$context['shop_money']}<br>
                            {$context['shop_money_in_bank']}
                            </div>
				        </td>
			        </tr>
		        </table>
		        <table width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-top: 1.5ex;"><tr>
			        <td valign="top">
				        <table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
					        <tr><td class="catbg">{$txt['shop_richest_pocket']}</td></tr>
                            <tr>
						        <td class="windowbg2" valign="top" style="height: 18ex;">
                                    {$context['shop_richest']}<br>
                                    <a href='{$scripturl}?action=shop;do=viewall'>{$txt['shop_view_all']}</a>
						        </td>
					        </tr>
				        </table>
			        </td>
EOT;

        if ($modSettings['shopBankEnabled']) {
            echo <<<EOT
			        <td style="width: 1ex;">&nbsp;</td>
			        <td valign="top" style="width: 50%;">
				<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor" id="supportVersionsTable">
					<tr>
						<td class="catbg">{$txt['shop_richest_bank']}</td>
					</tr><tr>
						<td class="windowbg2" valign="top" style="height: 18ex;">
                            {$context['shop_richestBank']}<br>
                             <a href='{$scripturl}?action=shop;do=viewallBank'>{$txt['shop_view_all']}</a>
						</td>
EOT;
        }

        echo "</tr></table>";

    } elseif ($context['shop_do'] == 1) { //buy stuff (listing) and user's inventory (both are same template)
        echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
    {$context['shop_items_list']}
</table>

EOT;
    } elseif ($context['shop_do'] == 2) { //basically stuff that shows a message only
        echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
    <tr valign='top' class='windowbg2'>
        <td style='padding-bottom: 2ex;' width='20%'>
            {$context['shop_buy_message']}
        </td>
    </tr>
</table>

EOT;
    } elseif ($context['shop_do'] == 3) { //send money to someone
        echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
    <tr valign='top' class='windowbg2'>
        <td style='padding-bottom: 2ex;' width='20%'>
            <center><b>{$txt['shop_send_money']}</b></center><br>{$txt['shop_send_money_message']}
            <form action="$scripturl?action=shop;do=sendmoney2" method="POST">
                {$txt['shop_member_name']}: <input type="text" name="membername" size="25"><br>
                {$txt['shop_amount_to_send']}:
                    {$modSettings['shopCurrencyPrefix']}
                    <input type="text" name="amount" size="8">
                    {$modSettings['shopCurrencySuffix']}<br>
                {$txt['shop_send_message_to_give']}: <textarea name="message" cols="50" rows="5"></textarea><br>
                <input type="submit" value="{$txt['shop_send_money']}">
            </form>
        </td>
    </tr>
</table>

EOT;

    } elseif ($context['shop_do'] == 4) { // bank
        echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
    <tr class="titlebg">
        <td align="center" colspan="2" class="largetext">{$txt['shop']} {$txt['shop_bank']}</td>
    </tr><tr>
        <td class="windowbg" valign="top" style="padding: 7px;">
            <b>{$txt['shop_bank_welcome']}</b>
            <div style="font-size: 0.85em; padding-top: 1ex;">{$txt['shop_bank_welcome_full']}</div>
        </td>
    </tr>
</table>
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
    <tr valign='top' class='windowbg2'>
        <td style='padding-bottom: 2ex;' width='20%'>
            {$context['shop_bank_message']}<br><br>
            <form action="$scripturl?action=shop;do=bank2" method="POST">
                  <input type='radio' name='type' value='deposit'>{$txt['shop_bank_deposit']}
                  <input type='radio' name='type' value='withdraw'>{$txt['shop_bank_withdraw']}<br>
                  {$txt['shop_amount']}: {$modSettings['shopCurrencyPrefix']} <input type='text' name='amount' size='5'> {$modSettings['shopCurrencyPrefix']}<br>
                  <input type='submit' value='Go!'>
            </form>
        </td>
    </tr>
</table>
EOT;
    } elseif ($context['shop_do'] == 5) { //view other member's inventory
        echo <<<EOT
    
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
    <tr valign='top' class='windowbg2'>
        <td style='padding-bottom: 2ex;' width='20%'>
            <center><b>{$txt['shop_invother']}</b></center><br>{$txt['shop_invother_message']}<br>
            <form action="$scripturl?action=shop;do=invother2" method="POST">
                <input type='radio' name='membertype' value='name' checked>{$txt['shop_member_name']}
                or <input type='radio' name='membertype' value='id'>{$txt['shop_member_id']}<br>
                <input type="text" name="member" size="25"><br>
                <input type="submit" value="{$txt['shop_invother']}">
            </form>
        </td>
    </tr>
</table>

EOT;
    }
echo <<<EOT
			</td>

		</tr></table>
</table>
<p align="right">Powered by SMFShop {$modSettings['shopVersion']} (Build {$modSettings['shopBuild']}), &copy; 2005 <a href="http://www.dansoftaustralia.com/">DanSoft Australia</a></p>
EOT;

}
?>
