<?php
/**********************************************\
| SMFSHOP (Shop MOD for Simple Machines Forum) |
|         (c) 2005 DanSoft Australia           |
|      http://www.dansoftaustralia.com/        |
\**********************************************/

//File: Shop_Admin.php
//      Shop admin page

//VERSION: 1.1 (Build 4)
//DATE: 10th April 2005

if (!defined('SMF'))
    die('Hacking attempt...');

//during testing, caching was causing many problems. So, we try to disable the caching here
header("Expires: Fri, 1 Jun 1990 00:00:00 GMT"); //my birthday ;)
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Pragma: no-cache");

function ShopGeneral() {
    global $context, $modSettings, $txt;

    loadLanguage('Shop');
    isAllowedTo('shop_admin');
    adminIndex('shop_general');

    if (empty($_GET['step']) || $_GET['step'] == 0) {
        $context['shop_bank'] = "";
        if ($modSettings['shopBankEnabled'] == "1")
           $context['shop_bank'] = " checked";
        $context['shop_general'] = "";

    } elseif ($_GET['step'] == 1) {
        $newSettings['shopCurrencyPrefix'] = $_POST['prefix'];
        $newSettings['shopCurrencySuffix'] = $_POST['suffix'];
        $newSettings['shopPointsPerTopic'] = (int) $_POST['pertopic'];
        $newSettings['shopPointsPerPost'] = (int) $_POST['perpost'];
        
        $newSettings['shopInterest'] = (int) $_POST['interest'];
        if (isset($_POST['bankenabled'])) {// && $_POST['bankenabled'] == "true"){
           $newSettings['shopBankEnabled'] = "1";
        } else {
           $newSettings['shopBankEnabled'] = "0";
        }

        updateSettings($newSettings);
        
        $context['shop_bank'] = "";
        if ($modSettings['shopBankEnabled'] == "1")
           $context['shop_bank'] = " checked";

        $context['shop_general'] = "Saved Changes!";
    }
    loadTemplate('ShopAdmin');
}

function ShopInventory() {
    global $context, $ID_MEMBER, $db_prefix, $txt;

    loadLanguage('Shop');
    isAllowedTo('shop_admin');
    adminIndex('shop_inventory');

    if (empty($_GET['do']) || $_GET['do'] == "") {
        $context['shop_inventory_search'] = 0;
    } elseif ($_GET['do'] == "viewmember") {
        $context['shop_inventory_search'] = 1;
        $context['shop_inventory_list'] = "";

        $result = db_query("SELECT ID_MEMBER, money, memberName
                            FROM {$db_prefix}members
                            WHERE memberName='{$_POST['searchfor']}'
                            LIMIT 1", __FILE__, __LINE__);

        $row = mysql_fetch_array($result, MYSQL_ASSOC);
        $context['shop_member'] = $row['ID_MEMBER'];
        $context['shop_membername'] = $row['memberName'];
        $usersmoney = $row['money'];

        $result = db_query("SELECT {$db_prefix}shop_items.name, 
                                   {$db_prefix}shop_inventory.amtpaid,
                                   {$db_prefix}shop_inventory.id
                            FROM {$db_prefix}shop_inventory
                            LEFT JOIN {$db_prefix}shop_items
                            ON {$db_prefix}shop_inventory.itemid = {$db_prefix}shop_items.id
                            WHERE ownerid = {$context['shop_member']}
                            ORDER BY {$db_prefix}shop_inventory.id",
                            __FILE__, __LINE__);

        while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
            $context['shop_inventory_list'] .= "{$txt['shop_inventory']} #{$row['id']} - {$row['name']} - ".sprintf($txt['shop_bought_for'], $row['amtpaid'])." - <a href='$scripturl?action=shop_inventory;do=delete;id={$row['id']}'>{$txt['shop_delete']}</a><br>";
        }
    $context['shop_inventory_list'] .= "
<br><form action='$scripturl?action=shop_inventory;do=editmoney' method='POST'>
    <input type='hidden' name='userid' value='{$context['shop_member']}'>
    User's money: <input type='text' value='{$usersmoney}' name='usersmoney'><input type='submit' value='{$txt['shop_save_changes']}'>
</form>";


        $context['shop_inv_message'] = sprintf($txt['shop_edit_member'], $context['shop_member'], $context['shop_membername']);

    } elseif ($_GET['do'] == "delete") {
        $context['shop_inventory_search'] = 2;
        $result = db_query("DELETE
                            FROM {$db_prefix}shop_inventory
                            WHERE id = {$_GET['id']}
                            LIMIT 1", __FILE__, __LINE__);
        $context['shop_message'] = sprintf($txt['shop_deleted_item'], $_GET['id']);

    } elseif ($_GET['do'] == "editmoney") {
        $context['shop_inventory_search'] = 2;
        $result = db_query("UPDATE {$db_prefix}members
                            SET money={$_POST['usersmoney']}
                            WHERE ID_MEMBER={$_POST['userid']}
                            LIMIT 1", __FILE__, __LINE__);
        $context['shop_message'] = sprintf($txt['shop_changed_money'], $_POST['userid'], $_POST['usersmoney']);
    }
    $context['sub_template'] = "inventory";
    loadTemplate('ShopAdmin');
}

function ShopItemsAdd() {
    global $boarddir, $context, $db_prefix, $txt;

    loadLanguage('Shop');
    isAllowedTo('shop_admin');
    adminIndex('shop_items_add');

    if (empty($_GET['step']) || $_GET['step'] == 0) {
        $context['shop_items_add'] = 0;
        include "Sources/shop/item_engine.php";
        if ($handle = opendir("$boarddir/Sources/shop/items")) {
            while (false !== ($file = readdir($handle))) {
                if (substr($file, -4) == ".php") {
                    $name = basename($file, ".php");
                    include "Sources/shop/items/$file";
                    eval("\$test = new item_$name;");
                    $test->getItemDetails();

                    $context['shop_items_item'][$test->name] = array(
                                                                    'name' => $name,
                                                                    'friendlyname' => $test->name,
                                                                    );
                }
            }
        ksort($context['shop_items_item']);
        } else {
            echo $txt['shop_cannot_open_items'];
        }

    } elseif ($_GET['step'] == 1) {
        $context['shop_items_add'] = 1;
        include "Sources/shop/item_engine.php";
        include "Sources/shop/items/{$_POST['item']}.php";
        eval("\$test = new item_{$_POST['item']};");
        $test->getItemDetails();
        $context['shop_items_item'] = array(
                                            'name' => $_POST['item'],
                                            'friendlyname' => $test->name,
                                            'desc' => $test->desc,
                                            'price' => $test->price,
                                            'require_input' => (int) $test->require_input,
                                            'can_use_item' => (int) $test->can_use_item,
                                            );

        //to stop errors we first set this var to a blank value
        $theinput = "";
        $theinput = $test->getAddInput();
        if ($theinput <> "") {
            $context['shop_items_item']['getAddInput'] = "<br><b>{$txt['shop_name_desc_match']}</b><br>{$theinput}<br>";
        } else {
            $context['shop_items_item']['getAddInput'] = "";
        }

    } elseif ($_GET['step'] == 2) {
        $context['shop_items_add'] = 2;

        //to avoid errors, check for non-existant values and set them to blank
        if (!isset($_POST['info1'])) {$_POST['info1'] = "";}
        if (!isset($_POST['info2'])) {$_POST['info2'] = "";}
        if (!isset($_POST['info3'])) {$_POST['info3'] = "";}
        if (!isset($_POST['info4'])) {$_POST['info4'] = "";}

        $sql = "INSERT
                INTO {$db_prefix}shop_items
                (name, `desc`, price, module, stock, input_needed, can_use_item, info1, info2, info3, info4)
                VALUES (
                        '{$_POST['itemname']}',
                        '{$_POST['itemdesc']}', 
                        {$_POST['itemprice']}, 
                        '{$_POST['item']}', 
                        50,
                        {$_POST['require_input']},
                        {$_POST['can_use_item']},
                        '{$_POST['info1']}',
                        '{$_POST['info2']}',
                        '{$_POST['info3']}',
                        '{$_POST['info4']}'
                        )";
//        echo $sql;
        $result = db_query($sql, __FILE__, __LINE__);
        $context['shop_items_id'] = db_insert_id();             
    }
    loadTemplate('ShopAdmin');
    $context['sub_template'] = "items_add";
}

function echoSelectItem() {
    global $context;
    echo "<select name='item'>";

    foreach ($context['shop_items_item'] as $tempitem) {
        echo "<option value='{$tempitem['name']}'>{$tempitem['friendlyname']}</option>";
    }

    echo "</select>";
}

function ShopItemsEdit() {
    global $context, $db_prefix;

    loadLanguage('Shop');
    isAllowedTo('shop_admin');
    adminIndex('shop_items_edit');

    if (empty($_GET['do']) || $_GET['do'] == "") {
        $context['shop_items_edit'] = 0;
    } elseif ($_GET['do'] == "edit") {
        $context['shop_items_edit'] = 1;
        
        $result = db_query("SELECT name, `desc`, price, stock
                            FROM {$db_prefix}shop_items
                            WHERE id = {$_GET['id']}"
                            , __FILE__, __LINE__);
        $row = mysql_fetch_array($result, MYSQL_ASSOC);
        $context['shop_edit'] = array(
                                      'id' => $_GET['id'],
                                      'name' => $row['name'],
                                      'desc' => $row['desc'],
                                      'price' => $row['price'],
                                      'stock' => $row['stock']
                                       );
    } elseif ($_GET['do'] == "edit2") {
        $context['shop_items_edit'] = 2;
        $result = db_query("UPDATE {$db_prefix}shop_items
                            SET name = '{$_POST['itemname']}',
                                `desc` = '{$_POST['itemdesc']}',
                                price = {$_POST['itemprice']},
                                stock = {$_POST['itemstock']}
                            WHERE id = {$_POST['id']}
                            LIMIT 1"
                            , __FILE__, __LINE__);

    } elseif ($_GET['do'] == "del") {
        $context['shop_items_edit'] = 3;
        $context['shop_delete'] = $_GET['id'];
    } elseif ($_GET['do'] == "del2") {
        $context['shop_items_edit'] = 4;
        $result = db_query("DELETE
                            FROM {$db_prefix}shop_items
                            WHERE id = {$_GET['id']}"
                            , __FILE__, __LINE__);
    } else {
        die("How the hell do I do '{$_GET['do']}'??");
    }

    loadTemplate('ShopAdmin');
    $context['sub_template'] = "items_edit";
}

function outputEditOrDelete() {
    global $context, $db_prefix, $scripturl, $txt;

    $result = db_query("SELECT name, id
                       FROM {$db_prefix}shop_items"
                       , __FILE__, __LINE__);

    while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
        echo "<b>{$row['name']}</b> - <a href='$scripturl?action=shop_items_edit;do=edit;id={$row['id']}'>{$txt['shop_edit']}</a> or <a href='$scripturl?action=shop_items_edit;do=del;id={$row['id']}'>{$txt['shop_delete']}</a><br>";
    }

}
?>
