<?php
/**********************************************\
| SMFSHOP (Shop MOD for Simple Machines Forum) |
|         (c) 2005 DanSoft Australia           |
|      http://www.dansoftaustralia.com/        |
\**********************************************/

//File: ShopAdmin.template.php
//      Template file for Shop Administration

//VERSION: 1.1 (Build 4)
//DATE: 10th April 2005

function template_main(){
    global $modSettings, $scripturl, $context, $txt;

    echo <<<EOT
        <table width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-top: 1.5ex;"><tr>
            <td valign="top">
                <table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
                    <tr>
                        <td class="catbg">{$txt['shop_version_info_header']}</td>
                    </tr><tr>
                        <td class="windowbg2" valign="top" style="height: 18ex;">
                            <b>{$txt['shop_version_info_header']}:</b><br>
                            {$txt['shop_version_number']}: {$modSettings['shopVersion']} (Build {$modSettings['shopBuild']})<br>
                            {$txt['shop_version_reldate']}: {$modSettings['shopDate']}<br>
                        </td>
                    </tr>
                </table>
            </td>
            <td style="width: 1ex;">&nbsp;</td>
            <td valign="top" style="width: 50%;">
                <table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor" id="supportVersionsTable">
                    <tr>
                        <td class="catbg">{$txt['shop_settings']}</td>
                    </tr><tr>
                        <td class="windowbg2" valign="top" style="height: 18ex;">
                            <form action="$scripturl?action=shop_general;step=1" method="POST">
                                {$txt['shop_currency_prefix']}: <input type="text" name="prefix" value="{$modSettings['shopCurrencyPrefix']}" size="5"><br>
                                {$txt['shop_currency_suffix']}: <input type="text" name="suffix" value="{$modSettings['shopCurrencySuffix']}" size="5"><br>

                                {$txt['shop_pre-suf_confuse']}<br><br>
                                {$txt['shop_per_new_topic']}: <input type="text" name="pertopic" value="{$modSettings['shopPointsPerTopic']}" size="5"><br>
                                {$txt['shop_per_new_post']}: <input type="text" name="perpost" value="{$modSettings['shopPointsPerPost']}" size="5"><br><br>
                                {$txt['shop_bankinterest']}: <input type="text" name="interest" value="{$modSettings['shopInterest']}" size="3">% per day<br>
                                <input type="checkbox" name="bankenabled" value="yeah"{$context['shop_bank']}>{$txt['shop_bank']} Enabled<br>
                                <input type="submit" value="{$txt['shop_save_changes']}"><br>
                                <b>{$context['shop_general']}</b>
                            </form>
                        </td>
                    </tr>
                </table>
            </td>
        </tr></table>
<br>
New releases can always be found at the <a href='http://www.dansoftaustralia.com'>DanSoft Australia Website</a>
EOT;
}

function template_inventory() {
    global $modSettings, $scripturl, $context, $txt;

echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
            <tr valign="top" class="windowbg2">
                <td style="padding-bottom: 2ex;" width="100%">
                    <center><b>{$txt['shop_edit_inventory']}</b></center>
EOT;

    if ($context['shop_inventory_search'] == 0) {
    echo <<<EOT
                    {$txt['shop_edit_member_inventory']}<br>
                    <form action="$scripturl?action=shop_inventory;do=viewmember" method="POST">
                        <input name="searchfor" type="text" size="70">
                        <input type="submit" value="{$txt['shop_next']}">
                    </form>


EOT;
    } elseif ($context['shop_inventory_search'] == 1) {
        echo "<i>{$context['shop_inv_message']}</i><br><br>{$context['shop_inventory_list']}";

EOT;
    } elseif ($context['shop_inventory_search'] == 2) {
        echo $context['shop_message'];
    }
echo "</td></tr></table>";
}

function template_items_add() {
	global $context, $scripturl, $txt;

    echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
    <tr valign="top" class="windowbg2">
        <td style="padding-bottom: 2ex;" width="100%">
            <center><b>{$txt['shop_add_item']}</b></center>
EOT;

    if ($context['shop_items_add'] == 0) {  
        echo <<<EOT
            {$txt['shop_add_item_message']}<br>
            <form action="$scripturl?action=shop_items_add;step=1" method="POST">
EOT;
        echoSelectItem();

        echo "<input type='submit' value='{$txt['shop_next']}'></form>";
    } elseif ($context['shop_items_add'] == 1) {
        echo <<<EOT
            {$txt['shop_item_configure']}<br>
            <form action="$scripturl?action=shop_items_add;step=2" method="POST">
                <input type="hidden" name="item" value="{$context['shop_items_item']['name']}">
                <input type="hidden" name="require_input" value="{$context['shop_items_item']['require_input']}">
                <input type="hidden" name="can_use_item" value="{$context['shop_items_item']['can_use_item']}">
                {$txt['shop_name']}: <input name="itemname" type="text" value="{$context['shop_items_item']['friendlyname']}" size="80"><br>
                {$txt['shop_description']}: <textarea name="itemdesc" cols="40" rows="6">{$context['shop_items_item']['desc']}</textarea><br>
                {$txt['shop_price']}: <input name="itemprice" type="text" value="{$context['shop_items_item']['price']}" size="5"><br>
                {$context['shop_items_item']['getAddInput']}<br>
                <input type="submit" value="{$txt['shop_add_item']}"></form>
EOT;
    } elseif ($context['shop_items_add'] == 2) {
        echo <<<EOT
            {$txt['shop_added_item']} {$context['shop_items_id']}<br>
            <a href=$scripturl?action=shop_items_add>{$txt['shop_add_another']}</a> or <a href=$scripturl?action=shop_general>{$txt['shop_back2admin']}</a>
EOT;
    } else {
        echo "Huh? What the hell?";
    }

    echo "</td></tr></table>";
}

function template_items_edit() {
	global $context, $scripturl, $txt;

    echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
    <tr valign="top" class="windowbg2">
        <td style="padding-bottom: 2ex;" width="100%">
            <center><b>{$txt['shop_admin_items_edit']}</b></center>
EOT;

    if ($context['shop_items_edit'] == 0) {
        echo "{$txt['shop_edit_message']}<br><br>";
        outputEditOrDelete();

    } elseif ($context['shop_items_edit'] == 1) {
        echo <<<EOT
            {$txt['shop_editing_item']} {$context['shop_edit']['id']}:
            <form action="$scripturl?action=shop_items_edit;do=edit2" method="POST">
                <input type="hidden" name="id" value="{$context['shop_edit']['id']}">
                {$txt['shop_name']}: <input name="itemname" type="text" value="{$context['shop_edit']['name']}" size="80"><br>
                {$txt['shop_description']}: <textarea name="itemdesc" cols="40" rows="6">{$context['shop_edit']['desc']}</textarea><br>
                {$txt['shop_price']}: <input name="itemprice" type="text" value="{$context['shop_edit']['price']}" size="5"> {$txt['shop_currency']}<br>
                {$txt['shop_stock']}: <input name="itemstock" type="text" value="{$context['shop_edit']['stock']}" size="5"><br>
                <input type="submit" value="{$txt['shop_edit']}"></form>
EOT;
    } elseif ($context['shop_items_edit'] == 2) {
        echo $txt['shop_saved'];
    } elseif ($context['shop_items_edit'] == 3) {
        echo sprintf($txt['shop_sure_delete'], $context['shop_delete'])."<br>
              <a href='$scripturl?action=shop_items_edit;do=del2;id={$context['shop_delete']}'>{$txt['shop_please_delete']}</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href='$scripturl?action=shop_items_edit'>{$txt['shop_noway']}</a>";
    } elseif ($context['shop_items_edit'] == 4) {
        echo $txt['shop_deleted'];
    }
    echo "</td></tr></table>";
}
?>
