<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

//new version information
db_query("UPDATE `{$db_prefix}settings` SET `value` = '1.1' WHERE `variable` = 'shopVersion' LIMIT 1", __FILE__, __LINE__);
db_query("UPDATE `{$db_prefix}settings` SET `value` = '11th April 2005' WHERE `variable` = 'shopDate' LIMIT 1", __FILE__, __LINE__);
db_query("UPDATE `{$db_prefix}settings` SET `value` = '4' WHERE `variable` = 'shopBuild' LIMIT 1", __FILE__, __LINE__);

//changes to shop items table
db_query("ALTER TABLE `{$db_prefix}shop_items` ADD `info1` TEXT NOT NULL ,
          ADD `info2` TEXT NOT NULL ,
          ADD `info3` TEXT NOT NULL ,
          ADD `info4` TEXT NOT NULL", __FILE__, __LINE__);

db_query("ALTER TABLE `{$db_prefix}shop_items` ADD `input_needed` TINYINT UNSIGNED DEFAULT '1' NOT NULL", __FILE__, __LINE__);
db_query("ALTER TABLE `{$db_prefix}shop_items` ADD `can_use_item` TINYINT UNSIGNED DEFAULT '1' NOT NULL", __FILE__, __LINE__);

//updating pre-1.1 items to 1.1 items
db_query("UPDATE {$db_prefix}shop_items SET info1 = '100', input_needed = 0 WHERE module = 'AddToPostCount'", __FILE__, __LINE__);
db_query("UPDATE {$db_prefix}shop_items SET info1 = '5', input_needed = 0 WHERE module = 'IncreaseKarma'", __FILE__, __LINE__);
db_query("UPDATE {$db_prefix}shop_items SET info1 = '43200', input_needed = 0 WHERE module = 'IncreaseTimeLoggedIn'", __FILE__, __LINE__);
db_query("UPDATE {$db_prefix}shop_items SET info1 = '-190', info2 = '190', input_needed = 0 WHERE module = 'IncreaseTimeLoggedIn'", __FILE__, __LINE__);
db_query("UPDATE {$db_prefix}shop_items SET info1 = '40', input_needed = 1 WHERE module = 'Steal'", __FILE__, __LINE__);

//removing current downloads
db_query("DELETE FROM {$db_prefix}shop_items WHERE module = 'filedownload'", __FILE__, __LINE__);

//insert new items
db_query("INSERT INTO `{$db_prefix}shop_items` VALUES ('', 'Steal Credits', 'Try to steal credits from another member!', 50, 'Steal', 50, '40', '', '', '', 1, 1)", __FILE__, __LINE__);
db_query("INSERT INTO `{$db_prefix}shop_items` VALUES ('', 'Rock', 'Well.... It does nothing', 5, 'Rock', 50, '', '', '', '', 0, 0)", __FILE__, __LINE__);

echo "<b><center>Database edit (SMFShop 1.0 --&gt;1.1) Completed!</center></b>";
?>
